<?php

require('../../config.php');
require_once($CFG->dirroot.'/mod/expcontent/lib.php');
require_once($CFG->libdir.'/completionlib.php');
 
$id = required_param('id', PARAM_INT);
list ($course, $cm) = get_course_and_cm_from_cmid($id, 'expcontent');
$expcontent = $DB->get_record('expcontent', array('id'=> $cm->instance), '*', MUST_EXIST);

$expconfig = get_config('mod_expcontent');
$baseurl = $expconfig->baseurl;

$completion = new completion_info($course);
$completion->set_module_viewed($cm);

if ($baseurl[-1] != "/") $baseurl += "/";

?>
<html>
<head>
<style>
ul {
  list-style-type: none;
  margin: 0;
  padding: 0;
  overflow: hidden;
  background-color: #333;
  flex: 0 0 auto;
}

li {
  float: left;
  height: auto;
  position: relative;
  font-family: "sans-serif";
}

li.right {
    float: right;
    margin: 4px;
}

li.logo {
    margin-left: 1em;
    margin-right: 1em;
    padding-top: 6px;
    padding-bottom: 6px;
    line-height: 52px;
    height: 52px;
    box-sizing: border-box;
}

li.logo img {
  display: block;
  height: 100%;  
  width: auto;
  height: 40px;
}

li a,span {
  display: block;
  color: white;
  text-align: center;
  text-decoration: none;
  line-height: 52px;
  font-family: sans-serif;
}

li a {
  padding: 14px 16px;
}

li a.hover:hover {
  background-color: #111;
}

body {
    display: flex;
    flex-flow: column;
    height: 100%;
    margin: 0;
}

iframe {
    flex: 1 1 auto;
    border: 0;
}
</style>
<link rel="stylesheet" type="text/css" href="https://fa.kumi.systems/css/all.css">
<title><?php echo($expcontent->name); ?></title>
</head>
<body>
<ul>
  <li class="logo"><img src="pix/icon.png"></li>
  <li><span><?php echo($expcontent->name); ?></span></li>
  <li class="right"><a class="hover" href="javascript:history.back();"><i class="fas fa-times"></i></a></li>
</ul> 
<iframe src='<?php echo($baseurl . "view-content/" . $expcontent->contentid . "?autoplay=true"); ?>' allow="autoplay; fullscreen"></iframe>
</body>
</html>
